Bug 438151 - ifInError is never updated on ppp interfaces
ifInError is never updated on ppp interfaces
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp (Show other bugs)
5.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 09:29 EDT by Jan Safranek
Modified: 2009-01-20 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:07:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2008-03-19 09:29:10 EDT
+++ This bug was initially created as a clone of Bug #433130 +++

Description of problem:

During debugging  pppd[xxx]: Protocol-Reject for unsupported protocol ... I
found that the snmpd never updates ifInError of ppp interface, except on snmpd
restart.

Version-Release number of selected component (if applicable):

net-snmp-5.4.1-5.fc8
(but applies to net-snmp-5.3.1-19.el5_1.4)

How reproducible:

Always.

Steps to Reproduce:
1. High load on ppp interface (PPPoE) causes some errors
2. mrtg never shows me error
  
Actual results:

# LC_ALL=C ifconfig ppp0
ppp0      Link encap:Point-to-Point Protocol  
          inet addr:88.217.12.23  P-t-P:82.135.16.28  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1492  Metric:1
          RX packets:435216 errors:438196 dropped:0 overruns:0 frame:0
          TX packets:346143 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3 
          RX bytes:489546292 (466.8 MiB)  TX bytes:120732542 (115.1 MiB)

$ snmpget -v 2c -c xxxx localhost IF-MIB::ifInErrors.11 IF-MIB::ifInOctets.11
IF-MIB::ifInUcastPkts.11

IF-MIB::ifInErrors.11 = Counter32: 434779  <- never updated, except on snmpd restart
IF-MIB::ifInOctets.11 = Counter32: 490139715  <- updated
IF-MIB::ifInUcastPkts.11 = Counter32: 436494


Expected results:

ifInError would be updated

-- Additional comment from jsafrane@redhat.com on 2008-02-18 09:02 EST --
Patch sent upstream, waiting for acceptance:
http://sourceforge.net/tracker/index.php?func=detail&aid=1896118&group_id=12694&atid=312694
Comment 1 RHEL Product and Program Management 2008-06-02 16:12:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2009-01-20 17:07:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0230.html

Note You need to log in before you can comment on or make changes to this bug.